import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif
import uviewPlus from '@/uni_modules/uview-plus'
// #ifdef VUE3
import { chains, projectId, wagmiConfig} from "./utils/config.js";
import { createWeb3Modal } from '@web3modal/wagmi'
import { QueryClient, VueQueryPlugin } from '@tanstack/vue-query'
// Import Wagmi plugin
import { WagmiPlugin } from '@wagmi/vue'

import { createSSRApp } from 'vue'
export function createApp() {
    const app = createSSRApp(App)
    app.use(uviewPlus)
	
	//wallet相关
	const queryClient = new QueryClient()
	app.use(WagmiPlugin, { config:wagmiConfig })
	app.use(VueQueryPlugin, { queryClient })
    return {
        app
    }
}
// #endif